#!/bin/bash

# set age of time to use fullscreen
sed -i 's/\$pref::Video::fullScreen = "0";/\$pref::Video::fullScreen = "1";/g' /root/AgeOfTime/base/client/prefs.cs

# Extract the width and height from RESOLUTION env variable
WIDTH=$(echo $RESOLUTION | cut -d'x' -f1)
HEIGHT=$(echo $RESOLUTION | cut -d'x' -f2)

# Use sed to replace the line in settings.txt
sed -i "s/\$pref::Video::resolution = \".*\";/\$pref::Video::resolution = \"${WIDTH} ${HEIGHT} 32\";/g" /root/AgeOfTime/base/client/prefs.cs

/usr/bin/supervisord